/// <reference types="node" />
import { Account, AccountInfo, Commitment, Connection, PublicKey, RpcResponseAndContext, SimulatedTransactionResponse, Transaction, TransactionInstruction, TransactionSignature } from '@solana/web3.js';
import BN from 'bn.js';
export declare const zeroKey: PublicKey;
export declare function sleep(ms: any): Promise<unknown>;
export declare function simulateTransaction(connection: Connection, transaction: Transaction, commitment: Commitment): Promise<RpcResponseAndContext<SimulatedTransactionResponse>>;
export declare function awaitTransactionSignatureConfirmation(txid: TransactionSignature, timeout: number, connection: Connection): Promise<unknown>;
export declare function createAccountInstruction(connection: Connection, payer: PublicKey, space: number, owner: PublicKey, lamports?: number): Promise<{
    account: Account;
    instruction: TransactionInstruction;
}>;
export declare function getMintDecimals(connection: Connection, mint: PublicKey): Promise<number>;
export declare function uiToNative(amount: number, decimals: number): BN;
export declare function nativeToUi(amount: number, decimals: number): number;
export declare function getFilteredProgramAccounts(connection: Connection, programId: PublicKey, filters: any): Promise<{
    publicKey: PublicKey;
    accountInfo: AccountInfo<Buffer>;
}[]>;
export declare function promiseUndef(): Promise<undefined>;
export declare const getUnixTs: () => number;
export declare const ACCOUNT_LAYOUT: any;
export declare function parseTokenAccountData(data: Buffer): {
    mint: PublicKey;
    owner: PublicKey;
    amount: number;
};
export declare function getMultipleAccounts(connection: Connection, publicKeys: PublicKey[]): Promise<{
    publicKey: PublicKey;
    accountInfo: AccountInfo<Buffer>;
}[]>;
export declare function findLargestTokenAccountForOwner(connection: Connection, owner: PublicKey, mint: PublicKey): Promise<{
    publicKey: PublicKey;
    tokenAccount: {
        mint: PublicKey;
        owner: PublicKey;
        amount: number;
    };
}>;
//# sourceMappingURL=utils.d.ts.map